05Robot 3.0

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions | List of all members
cComplexGestureEvent Class Reference
Eyetracker module

Event class for passing complex gesture events recognized by cEyeTrackerFilter filter. More...

`#include <ceyetrackerfilter.h>`

Inheritance diagram for cComplexGestureEvent:

## Public Member Functions
| cComplexGestureEvent (const cGestureDirectoryEntry &entry)
| The object is used to pass QEvent messages in QT framework. More...
virtual | ~cComplexGestureEvent ()
QPoint | pos () const
| Gets the characteristic point of detected complex gesture. More...
void | setPos (const QPoint &pos)
| Sets the characteristic point in (px) in main widget coordinates to be send in QEvent message. More...
QRect | boundingBox () const
| Gets bounding box of whole mouse cursor trace recognized as complex gesture. More...
void | setBoundingBox (const QRect &boundingBox)
| Sets bounding box of detected complex gesture. More...
int | gestureID () const
| Gets complex gesture ID related to cGestureDirectoryEntry::ID. More...
void | setGestureID (int gestureID)
| Sets complex gesture ID, should be the same as in matched cGestureDirectoryEntry object. More...
QString | gestureName () const
| Gets complex gesture name, related to the cGestureDirectoryEntry::getID() More...
void | setGestureName (const QString &gestureName)
| Sets complex gesture name to be send in QEvent message. More...

## Static Public Member Functions
static QEvent::Type | type ()
| overridden function from QEvent class More...

## Detailed Description

Event class for passing complex gesture events recognized by cEyeTrackerFilter filter.

The packet can be processed by any eventFilter routine overridden from QObject.

if(event->type()==cComplexGestureEvent::type())
{
cComplexGestureEvent* complexGestureEvent= static_cast<cComplexGestureEvent *>(event);
qDebug()<<"cComplexGestureEvent"<<complexGestureEvent->gestureName();
}

## Constructor & Destructor Documentation

cComplexGestureEvent | ( | const cGestureDirectoryEntry & | entry | ) |

The object is used to pass QEvent messages in QT framework.

Parameters

  entry | The directory entry of recognized complex gestures

virtual ~cComplexGestureEvent | ( |  | ) |
| inline virtual

## Member Function Documentation

QRect boundingBox | ( |  | ) | const

Gets bounding box of whole mouse cursor trace recognized as complex gesture.

int gestureID | ( |  | ) | const

Gets complex gesture ID related to cGestureDirectoryEntry::ID.

QString gestureName | ( |  | ) | const

Gets complex gesture name, related to the cGestureDirectoryEntry::getID()

QPoint pos | ( |  | ) | const

Gets the characteristic point of detected complex gesture.

void setBoundingBox | ( | const QRect & | boundingBox | ) |

Sets bounding box of detected complex gesture.

void setGestureID | ( | int | gestureID | ) |

Sets complex gesture ID, should be the same as in matched cGestureDirectoryEntry object.

void setGestureName | ( | const QString & | gestureName | ) |

Sets complex gesture name to be send in QEvent message.

Parameters

  gestureName | Should be the same as in matched cGestureDirectoryEntry::getName()

void setPos | ( | const QPoint & | pos | ) |

Sets the characteristic point in (px) in main widget coordinates to be send in QEvent message.

static QEvent::Type type | ( |  | ) |
| inline static

overridden function from QEvent class

Returns

The unique event type identifier is generated in runtime

The documentation for this class was generated from the following file:

- eyetracker/ceyetrackerfilter.h